For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

List Eval Dataset Rows

List the rows of a dataset with cell values by column name, groups, and the source trace when known.

List the rows of a dataset with cell values by column name, groups, and the source trace when known.

gethttps://statsigapi.net/console/v1/eval_datasets/{name}/rows

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

namestringrequired

name

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Eval Dataset Rows Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
rowIDstringrequired
columnsobject[]required
namestringrequired
valuestringrequired
groupsstring[]required
sourceTraceIDstringrequired
Constraints:nullable
sourceSpanIDstringrequired
Constraints:nullable
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?